CVE-2003-0084
CVSS7.5
发布时间 :2003-05-12 00:00:00
修订时间 :2008-09-05 16:33:25
NMCOS    

[原文]mod_auth_any package in Red Hat Enterprise Linux 2.1 and other operating systems does not properly escape arguments when calling other programs, which allows attackers to execute arbitrary commands via shell metacharacters.


[CNNVD]Apache Mod_Auth_Any远程命令执行漏洞(CNNVD-200305-041)

        
        Apache mod_auth_any WEB服务模块允许Apache httpd服务程序调用任意外部程序验证用户密码。
        mod_auth_any WEB服务模块在调用外部程序时对参数缺少正确过滤,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        RedHat Enterprise Linux包含mode_auth_any在调用外部程序时没有检查SHELL元字符数据,允许攻击者提供通过使用SHELL元字符数据作为参数提交给mode_auth_any模块,可导致以WEB权限执行任意命令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0084
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0084
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200305-041
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/7448
(VENDOR_ADVISORY)  BID  7448
http://rhn.redhat.com/errata/RHSA-2003-114.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2003:114
http://xforce.iss.net/xforce/xfdb/11893
(UNKNOWN)  XF  modauthany-command-execution(11893)
http://www.redhat.com/support/errata/RHSA-2003-113.html
(UNKNOWN)  REDHAT  RHSA-2003:113
http://www.itlab.musc.edu/webNIS/mod_auth_any.html
(UNKNOWN)  CONFIRM  http://www.itlab.musc.edu/webNIS/mod_auth_any.html
http://www.ciac.org/ciac/bulletins/n-090.shtml
(UNKNOWN)  CIAC  N-090

- 漏洞信息

Apache Mod_Auth_Any远程命令执行漏洞
高危 输入验证
2003-05-12 00:00:00 2005-10-20 00:00:00
远程  
        
        Apache mod_auth_any WEB服务模块允许Apache httpd服务程序调用任意外部程序验证用户密码。
        mod_auth_any WEB服务模块在调用外部程序时对参数缺少正确过滤,远程攻击者可以利用这个漏洞以WEB权限在系统上执行任意命令。
        RedHat Enterprise Linux包含mode_auth_any在调用外部程序时没有检查SHELL元字符数据,允许攻击者提供通过使用SHELL元字符数据作为参数提交给mode_auth_any模块,可导致以WEB权限执行任意命令。
        

- 公告与补丁

        厂商补丁:
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2003:113-01)以及相应补丁:
        RHSA-2003:113-01:Updated mod_auth_any packages available
        链接:https://www.redhat.com/support/errata/RHSA-2003-113.html
        补丁下载:
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/mod_auth_any-1.2.2-2.src.rpm
        i386:
        ftp://updates.redhat.com/7.2/en/os/i386/mod_auth_any-1.2.2-2.i386.rpm
        ia64:
        ftp://updates.redhat.com/7.2/en/os/ia64/mod_auth_any-1.2.2-2.ia64.rpm
        Red Hat Linux 7.3:
        SRPMS:
        ftp://updates.redhat.com/7.3/en/os/SRPMS/mod_auth_any-1.2.2-2.src.rpm
        i386:
        ftp://updates.redhat.com/7.3/en/os/i386/mod_auth_any-1.2.2-2.i386.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]

- 漏洞信息

13640
mod_auth_any for Apache HTTP Server on Red Hat Linux Metacharacter Command Execution

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-02-10 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apache Mod_Auth_Any Remote Command Execution Vulnerability
Input Validation Error 7448
Yes No
2003-04-28 12:00:00 2009-07-11 09:07:00
The discovery of this vulnerability has been credited to Daniel Jarboe and Maneesh Sahani.

- 受影响的程序版本

mod_auth_any mod_auth_any 1.2.2
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 2.1
+ RedHat Linux 7.3 i686
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i686
+ RedHat Linux 7.2 i586
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2 athlon
+ RedHat Linux 7.2
+ RedHat Linux Advanced Work Station 2.1
+ Sun Linux 5.0.5

- 漏洞讨论

A vulnerability has been discovered in the mod_auth_any Apache module. The problem occurs due to insufficient sanitiziation of user-supplied arguments. As a result, it may be possible for an attacker to execute arbitrary commands, by placing shell metacharacters within an argument.

All commands executed in this manner would be run with the privileges the Apache HTTPD server.

- 漏洞利用

No exploit is required.

- 解决方案

Sun Microsystems has released a patch to address this issue.

Red Hat has released a security advisory (RHSA-2003:114-09) containing fixes which address this issue. Further information on how to obtain and apply fixes can be found in the attached advisory.


mod_auth_any mod_auth_any 1.2.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站